    /*
     *  call-seq:
     *     term_enum.doc_freq -> integer
     *
     *  Returns the document frequency of the current term pointed to by the enum.
     *  That is the number of documents that this term appears in. The method
     *  should only be called after a successful call to TermEnum#next.
     */
    static VALUE
    frb_te_doc_freq(VALUE self)
    {
        TermEnum *te = (TermEnum *)DATA_PTR(self);
        return INT2FIX(te->curr_ti.doc_freq);
    }